%define upstream_name    File-Map
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Memory mapping made simple and safe
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(PerlIO::Layers)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.5
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XSLoader)
BuildRequires: perl(if)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
File::Map maps files or anonymous memory into perl variables.

Advantages of memory mapping
    * * Unlike normal perl variables, mapped memory is (usually) shared
      between threads or forked processes.

    * * It is an efficient way to slurp an entire file. Unlike for example
      the File::Slurp manpage, this module returns almost immediately,
      loading the pages lazily on access. This means you only 'pay' for the
      parts of the file you actually use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.610.0-2.mga4
+ Revision: 539477
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.610.0-1.mga4
+ Revision: 492161
- update to 0.61

* Mon Aug 12 2013 sander85 <sander85> 0.600.0-1.mga4
+ Revision: 465770
- update to 0.60

* Fri Aug 09 2013 sander85 <sander85> 0.590.0-1.mga4
+ Revision: 464979
- update to 0.59

* Fri Aug 09 2013 sander85 <sander85> 0.580.0-1.mga4
+ Revision: 464879
- update to 0.58

* Fri Jun 07 2013 jquelin <jquelin> 0.570.0-1.mga4
+ Revision: 439289
- update to 0.57

* Wed May 29 2013 jquelin <jquelin> 0.560.0-4.mga4
+ Revision: 432276
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.560.0-3.mga4
+ Revision: 432109
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.560.0-2.mga3
+ Revision: 367269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.560.0-1.mga3
+ Revision: 342153
- update to 0.56

* Wed Nov 14 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 317621
- update to 0.53

* Mon Sep 10 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 291682
- update to 0.52

* Thu Jul 05 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 268149
- update to 0.51

* Wed Jun 06 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 256152
- fix gcc format security error
- adding missing buildrequires:
- imported package perl-File-Map


* Wed Jun 06 2012 cpan2dist 0.50-1mga
- initial mageia release, generated with cpan2dist
